Class::MOP::Method::Constructor(3pm)

NAME
Class::MOP::Method::Constructor - Method Meta Object for constructors

VERSION
version 2.4000

SYNOPSIS
  use Class::MOP::Method::Constructor;

  my $constructor = Class::MOP::Method::Constructor->new(
      metaclass => $metaclass,
      options   => {
          debug => 1, # this is all for now
      },
  );

  # calling the constructor ...
  $constructor->body->execute($metaclass->name, %params);

DESCRIPTION
This is a subclass of Class::MOP::Method which generates constructor methods.

METHODS

Class::MOP::Method::Constructor->new(%options)
    This creates a new constructor object. It accepts a hash reference of options.

    •   metaclass

        This should be a Class::MOP::Class object. It is required.

    •   name

        The method name (without a package name). This is required.

    •   package_name

        The package name for the method. This is required.

    •   is_inline

        This indicates whether or not the constructor should be inlined. This defaults to false.

$metamethod->is_inline
    Returns a boolean indicating whether or not the constructor is inlined.

$metamethod->associated_metaclass
    This returns the Class::MOP::Class object for the method.

AUTHORS

•   Stevan Little <stevan@cpan.org>

•   Dave Rolsky <autarch@urth.org>

•   Jesse Luehrs <doy@cpan.org>

•   Shawn M Moore <sartak@cpan.org>

•   יובל קוג'מן (Yuval Kogman) <nothingmuch@woobling.org>

•   Karen Etheridge <ether@cpan.org>

•   Florian Ragwitz <rafl@debian.org>

•   Hans Dieter Pearcey <hdp@cpan.org>

•   Chris Prather <chris@prather.org>

•   Matt S Trout <mstrout@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2006 by Infinity Interactive, Inc.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.